com.mapinfo.midev.language.filter.DistanceToEdge

## Class DistanceToEdgeFilter

- java.lang.Object
- - com.mapinfo.midev.language.filter.DistanceToEdge.DistanceToEdgeFilter

All Implemented Interfaces:
  IFilter

    public final class DistanceToEdgeFilter
    extends Object
    implements IFilter

A filter that specifies features based on the distance to the edge of the geometry within a table specified by a geometry attribute (column) and a point geometry.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getMaxCandidates()`
`Length` `getMaxDistance()`
`String` `getOutputDistanceColumnName()`
`String` `getOutputIsWithinColumnName()`
`LinearUnit` `getReturnedDistanceUnit()`
`IPoint` `getSearchGeometry()`
`String` `getTablePointColumnName()` Return the name of the column that will hold the `IPoint` that is on the geometry in the table that is the closest point to the search geometry.
`String` `getTargetGeometryColumnName()`
`boolean` `isSpatial()` Returns `true` if this `IFilter` is a spatial filter.
`static DistanceToEdgeFilterBuilder` `newBuilder(String targetGeometryColumnName, IPoint searchGeometry, String outputDistanceColumnName, LinearUnit returnedDistanceUnit, String outputIsWithinColumnName)` Creates a new `DistanceToEdgeFilterBuilder` based on the geometry column name in a table, a point geometry object and the computations options

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isSpatial

    public boolean isSpatial()

Description copied from interface: `IFilter`
Returns `true` if this `IFilter` is a spatial filter.

Specified by:
  `isSpatial` in interface `IFilter`
Returns:
  `true` if this `IFilter` is a spatial filter.

#### getTargetGeometryColumnName

    public String getTargetGeometryColumnName()

#### getSearchGeometry

    public IPoint getSearchGeometry()

#### getMaxDistance

    public Length getMaxDistance()

#### getOutputDistanceColumnName

    public String getOutputDistanceColumnName()

#### getReturnedDistanceUnit

    public LinearUnit getReturnedDistanceUnit()

#### getOutputIsWithinColumnName

    public String getOutputIsWithinColumnName()

#### getMaxCandidates

    public int getMaxCandidates()

#### getTablePointColumnName

    public String getTablePointColumnName()

Return the name of the column that will hold the `IPoint` that is on the geometry in the table that is the closest point to the search geometry. If `null` the the attribute will not be added to the projection list.

Returns:
  the name of the column that will hold the `IPoint` that is on the geometry in the table that is the closest point to the search geometry.

#### newBuilder

    public static DistanceToEdgeFilterBuilder newBuilder(String targetGeometryColumnName,
                                                         IPoint searchGeometry,
                                                         String outputDistanceColumnName,
                                                         LinearUnit returnedDistanceUnit,
                                                         String outputIsWithinColumnName)

Creates a new `DistanceToEdgeFilterBuilder` based on the geometry column name in a table, a point geometry object and the computations options

Parameters:
  `targetGeometryColumnName` - name of the attribute within the table which contains geometries
  `searchGeometry` - a point geometry used as a seed for computing distance to the edge of geometry in the `targetGeometryColumnName`
  `outputDistanceColumnName` - a column name which will contain the output distance value
  `returnedDistanceUnit` - unit of measurement for the distance calculation
  `outputIsWithinColumnName` - column name which will contain whether the point provided by (@code searchGeometry} is within the geometry from the table
Returns:
  `DistanceToEdgeFilterBuilder` instance